/** -------------------------------------------------------------------
  *      maintainer: Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * projects:
  *	- Jaugment II
  *       part: openh323-telephone
  *	   used in release: current      used in version: current
  * -------------------------------------------------------------------
  * Copyright:   Copyright (c) 2000 by Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * changes:
  * 0.0.1 (2002-02-24, Marcus Wolschon<Suran@gmx.net>)
  *       - created
  * -------------------------------------------------------------------
  * TODO:
  */
package jaugment2.openh323telephone;

  //JDK
import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;
  //JINI
import net.jini.core.event.RemoteEvent;
import net.jini.core.event.RemoteEventListener;
import net.jini.core.event.UnknownEventException;
  //project
import jaugment2.helpers.Logger;


//helper-mark for configure to determine that rmic needs to be executed for this file
//rmimakehelper


/**
 * Listens for events and sends them to the TelephoneARRepresentation
 */
public class TelephoneARRepresentationListener extends UnicastRemoteObject implements RemoteEventListener
{
 private TelephoneARRepresentation s;

  public TelephoneARRepresentationListener(TelephoneARRepresentation s) throws RemoteException
  {
   this.s = s;
  }

  /** React to events from our service.
    */
  public void notify(RemoteEvent evt) throws UnknownEventException, RemoteException
  {
   s.notify(evt);
  }

}