/** -------------------------------------------------------------------
  *      maintainer: Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * projects:
  *	- Jaugment II
  *       part: openh323-telephone
  *	   used in release: current      used in version: current
  * -------------------------------------------------------------------
  * Copyright:   Copyright (c) 2000 by Marcus Wolschon <Suran@gmx.net>
  * -------------------------------------------------------------------
  * changes:
  * 0.0.1 (2000-12-19, Marcus Wolschon<Suran@gmx.net>)
  *       - created
  * -------------------------------------------------------------------
  * TODO:
  */
package jaugment2.openh323telephone;

  //JDK
import java.rmi.server.UnicastRemoteObject;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.MarshalledObject;
import java.io.Serializable;
import java.lang.IllegalStateException;
import java.rmi.Naming;
import java.rmi.RMISecurityManager;
import java.rmi.registry.LocateRegistry;
import java.util.LinkedList;
//import java.net.URL;
  //JINI
import net.jini.core.event.RemoteEventListener;
import net.jini.core.lease.LeaseDeniedException;
import net.jini.core.lease.Lease;
import net.jini.admin.Administrable;
  //project
import jaugment2.jini.simpleService.simpleAdministrator;
import jaugment2.helpers.Logger;
import jaugment2.directory.Directory;

public interface TelephoneProxyIF extends Remote
{
  //-------------- Client-functions ------------------------------

  /** Subscribe for events
    */
  public Lease addListener(RemoteEventListener listener, MarshalledObject handback, int registerfor) throws RemoteException, LeaseDeniedException, IllegalStateException;

  /**
   * Make a call to "to"
   */
  public boolean makeCall(String to) throws RemoteException;

  public void hangup() throws RemoteException;

  /**
   * Return the directory-services found so far
   * @returns a LinkedList of Directory
   */
  public LinkedList getDirectories() throws RemoteException;

}